#!/bin/bash
if [ "$USER" != "pi" ] ; then
    return
fi

while [ ! -r /home/pi/.setup/status ] ; do
    echo
    echo -n "Please enter the product (compact/connect/core/flat): "
    read ovl
    echo
    echo Please enter the serial number and MAC address on the front plate
    echo of your RevPi to reset the image to factory defaults:
    echo
    echo -ne "Serial:\t\t"
    read ser
    echo -ne "MAC Address:\t"
    read mac
    echo
    # Make sure the system is mounted read-write
    /usr/bin/sudo /usr/bin/mount -o remount,rw /boot
    /usr/bin/sudo /usr/bin/mount -o remount,rw /

    # this creates /home/pi/.setup/status on success:
    /usr/bin/sudo /usr/sbin/init-setup "$ovl" "$ser" "$mac"

    /usr/bin/sudo /usr/bin/mount -o remount,ro /boot
    /usr/bin/sudo /usr/bin/mount -o remount,ro / >/dev/null 2>&1
done
