#!/bin/bash
if [ "$USER" != "pi" ] ; then
    return
fi

if [ -f /boot/ssh_keys ]; then
    # Make sure the system is mounted read-write
    /usr/bin/sudo /usr/bin/mount -o remount,rw /boot
    /usr/bin/sudo /usr/bin/mount -o remount,rw /

    if ! [ -f /home/pi/.ssh/authorized_keys ]; then
        /usr/bin/touch /home/pi/.ssh/authorized_keys
        /usr/bin/chmod 600 /home/pi/.ssh/authorized_keys
    fi
    while read line; do
        if ! /usr/bin/grep -q "$line" /home/pi/.ssh/authorized_keys; then
            /usr/bin/echo "$line" >> /home/pi/.ssh/authorized_keys
        fi
    done < "/boot/ssh_keys"
    /usr/bin/sudo /bin/rm /boot/ssh_keys
    /usr/bin/sudo /usr/bin/systemctl restart ssh

    /usr/bin/sudo /usr/bin/mount -o remount,ro /boot
    /usr/bin/sudo /usr/bin/mount -o remount,ro /
fi
